@import "variables";
@import "mixins/breakpoints";
@import "mixins/transitions";

.navbar {
  align-items: center;
  background: $neutral-20;
  display: flex;
  flex-direction: row;
  height: $height-navbar;
  justify-content: flex-end;
  position: relative;
  z-index: map-get($z-index, navbar);

  .navbar-options {
    display: flex;
    gap: 2rem;
    .mo-button {
      box-sizing: border-box;
      font-family: $font-family-medium;
      border-radius: 24px;
      @include transition(background-color 400ms ease-out);
      display: flex;
      flex-direction: row;
      flex-wrap: nowrap;
      justify-content: center;
      align-items: center;
      align-content: center;
      position: relative;
      margin-bottom: 4px;
      margin-top: 4px;
      font-weight: 700;
      cursor: pointer;
      outline: none;
      :focus {
        outline: none;
      }
      &.size-md {
        padding: 5px 30px;
        font-size: 14px;
        i {
          font-size: 18px;
        }
      }
      &.template-primary {
        background-color: $caribbean-green-60;
        color: black;
        &:hover {
          background-color: $caribbean-green-80;
        }
        &.disabled {
          background-color: $caribbean-green-40;
          color: $caribbean-green-20;
          opacity: 0.9;
          cursor: not-allowed;
        }
      }
    }
  }

  .navbar-selector-product {
    position: relative;
  }
}
